Subject: Re: [alto] [ALTO] Statistics operators for TE metrics

From: Qin Wu <[email-masked]>
Date: Sun, 20 Jul 2014 02:18:19 +0000

发件人: [email-masked] [mailto:[email-masked]] 代表 Y. Richard Yang
发送时间: 2014年7月19日 8:12
收件人: Leeyoung
抄送: Qin Wu; Sabine Randriamasy; Dhruv Dhody; Qin Wu
主题: Re: TE metrics slides

Hi Young,

Good question. The intention of the question is whether to use ALTO to expose various statistics of the metrics, not limited to only mean/avg. Increasingly more networks care about higher percentile than standard mean/avg. Hence, an extensible design should allow such easy extensibility. What do you think?

[Qin]: I think not all TE metrics needs to use percentile, e.g., delay, I think still stick to use mean and delayjitter will still stick to use variance.
But for bandwidth related metrics, I think maximum bandwidth, maximum reservable bandwidth,unreserved  bandwith can keep on using bytes per sec as measurement unit,
But residue bandwidth, available bandwidth and utilized bandwidth can use percentile.

Richard

On Fri, Jul 18, 2014 at 11:39 AM, Leeyoung <[email-masked]<mailto:[email-masked]>> wrote:
Hi Qin and Richard,

Thanks for putting a good quality slide together. I think it is good with this version.

On one question:
–      Do we allow more flexible statistics operators (e.g., mean, avg, x-percentile, variance)
•       In current draft, delay and delay jitter are both on delay, with one reflect mean and the other variance

Do you mean, “Do we allow more flexible statistics for/from/?? operator?” Not sure what you mean. If the network operators are the ones that provide these stats to ALTO application, then we may say, “Do we need more flexible statistics for some applications?” for instance. May be I am missing something here.

Flexible stat such as percentile and variance are all good, yet there might be scaling issues and usability of such data and the networks that provide such data do not normally have in their TED  except jitter variance. This could imply an overhead for networks.

Thanks,
Young